package com.example.profileviewersql;

import android.app.Activity;
import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class EditProfile extends Activity implements OnClickListener {

	private String   name;
	private boolean  saveData = true;
    private ProfileDB profileDB = new ProfileDB(this);

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.edit_profile);
		
		name = getIntent().getStringExtra("name");

		Button cancel_button = (Button)findViewById(R.id.cancel);
		Button save_button   = (Button)findViewById(R.id.save);

		cancel_button.setOnClickListener(this);
		save_button.setOnClickListener(this);


	}

	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.save:
			finish();
			break;
		case R.id.cancel:
			saveData = false;
			finish();
			break;
		}
	}

    @Override
    public void onResume() {
    	super.onResume();
        Log.i("EditProfile", "onResume()");
        saveData = true;
        
		EditText first_name = (EditText) findViewById(R.id.first_name);
		EditText last_name  = (EditText) findViewById(R.id.last_name);
		EditText email      = (EditText) findViewById(R.id.email);

		SQLiteDatabase db = profileDB.getReadableDatabase();
        Cursor cursor = db.query("profiles", new String[] { "first", "last", "email" }, "profile like ?", new String[] { name }, null, null, "profile");
        while (cursor.moveToNext()) {
    		first_name.setText(cursor.getString(0));
    		last_name.setText(cursor.getString(1));
    		email.setText(cursor.getString(2));
        }
        cursor.close();		
		
    }
    
    @Override
    public void onPause() {
    	super.onPause();
        Log.i("EditProfile", "onPause()");
        if (saveData) {
    		
    		EditText first_name = (EditText) findViewById(R.id.first_name);
    		EditText last_name  = (EditText) findViewById(R.id.last_name);
    		EditText email      = (EditText) findViewById(R.id.email);
    		    		
        	SQLiteDatabase db = profileDB.getWritableDatabase();
        	ContentValues values = new ContentValues();
        	values.put("first", first_name.getText().toString());
        	values.put("last", last_name.getText().toString());
        	values.put("email", email.getText().toString());
        	db.update("profiles", values, "profile = ?", new String[] { name });


        }
    }

    @Override
    public void onStop() {
    	super.onPause();
    	profileDB.close();
    }
}
